﻿using System.Linq;
using Lesson49.Models;
using Lesson49.Models.Data;
using Microsoft.AspNetCore.Mvc;

namespace Lesson49.Controllers
{
    public class UsersController : Controller
    {
        private readonly MobileContext _db;

        public UsersController(MobileContext db)
        {
            _db = db;
        }

        // GET
        public IActionResult Index()
        {
            return View(_db.Users.ToList());
        }

        public IActionResult Create()
        {
            return View();
        }
        
        [HttpPost]
        public IActionResult Create(User user)
        {
            _db.Users.Add(user);
            _db.SaveChanges();
            return RedirectToAction("Index");
        }
    }
}